"use strict";
this.name = "coyoteInterceptor";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteInterceptor.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
	player.consoleMessage("A jump capable interceptor has launched from the station, I think they will analyse our wormhole and come after us.", 6);
}

this.locatePlayer = function () {
	this.playerArray = system.shipsWithPrimaryRole("player");
	if (this.playerArray.length == 0) {
		this.ship.reactToAIMessage("PLAYER_NOT_FOUND");
	} else {
		this.ship.target = this.playerArray[0];
		this.ship.reactToAIMessage("PLAYER_FOUND");
	}
}